import { Action, OperationPayload, ActionsParams, UnsetParams, StillnessManager } from '../../types';
export declare const TRIGGER_MOUNT = "stillness/triggerMount";
export declare const TRIGGER_UNMOUNT = "stillness/triggerUnmount";
export declare const TRIGGER_UNSET = "stillness/triggerUnset";
export declare const TRIGGER_CLEAR = "stillness/triggerClear";
export declare function triggerMount(manager: StillnessManager): (params: ActionsParams) => Action<any>;
export declare function triggerUnmount(manager: StillnessManager): (params: ActionsParams) => Action<any>;
export declare function triggerUnset(manager: StillnessManager): (params: UnsetParams) => Action<any>;
export declare function triggerClear(manager: StillnessManager): (payload: OperationPayload) => Action<any>;
