import { UniqueId, Action, Identifier } from '../../types';
export interface State {
    uniqueId: UniqueId;
    type?: UniqueId;
    parentId: UniqueId;
    visible?: boolean;
    isStillness?: boolean;
    childQueue?: UniqueId[];
}
export declare function reduce(state: {
    [key: string]: State;
    [key: number]: State;
} | undefined, action: Action<{
    uniqueId?: UniqueId;
    parentId: UniqueId;
    type?: Identifier;
    visible?: boolean;
    isStillness?: boolean;
    childQueue?: UniqueId[];
}>): {
    [key: string]: State;
};
