import { Identifier, Registration, StillnessManager, UniqueId, Unsubscribe, RegistrationParams } from '../types';
export declare class StillnessRegistrationImpl implements Registration {
    private manager;
    private uniqueId;
    constructor(manager: StillnessManager);
    register: (params: RegistrationParams) => [UniqueId, Unsubscribe];
    update: (params: RegistrationParams) => void;
    getUniqueId: () => Identifier;
}
