import { Action, StillnessManager, MaxPayload } from '../../types';
export declare const RESET_MAX = "stillness/resetMax";
export declare const ADD_CACHE = "stillness/addCache";
export declare const UPDATE_CACHE = "stillness/updateCache";
export declare const REMOVE_CACHE = "stillness/removeCache";
export declare function resetMax(manager: StillnessManager): (payload: MaxPayload) => Action<MaxPayload>;
export declare function createCache(manager: StillnessManager): (payload: MaxPayload) => Action<MaxPayload>;
export declare function updateCache(manager: StillnessManager): (payload: MaxPayload) => Action<MaxPayload>;
export declare function removeCache(manager: StillnessManager): (payload: MaxPayload) => Action<MaxPayload>;
