import { Store, Action } from 'redux';
import { State } from '../reducers';
import { StillnessManager, StillnessMonitor, StillnessActions, ProviderOptions } from '../../types';
export declare class StillnessManagerImpl implements StillnessManager {
    private store;
    private monitor;
    private options;
    constructor(store: Store<State>, monitor: StillnessMonitor, options: ProviderOptions);
    getStore(): State;
    getMonitor(): StillnessMonitor;
    getActions(): StillnessActions;
    dispatch(action: Action<any>): void;
}
