import { UniqueId, Action } from '../../types';
import { State as vNodeState } from './vNode';
import { State as maxState } from './max';
import { State as Operation } from './operation';
export interface State {
    /**
     * Record all stationary component base data
     */
    vNodes: {
        [key: UniqueId]: vNodeState;
    };
    /**
     * Maximum number of components that can be stillness
     */
    max: maxState;
    operation: Operation;
}
export declare function stillnessReducers(state: State | undefined, action: Action<any>): State;
