import { Identifier, StillnessContract, StillnessManager, UniqueId, UnsetParams } from '../types';
export declare class StillnessContractImpl implements StillnessContract {
    private internalMonitor;
    private internalActions;
    private id;
    private item;
    constructor(manager: StillnessManager);
    receiveId(id: UniqueId | undefined): void;
    receiveItem(item: any): void;
    isStillness: () => boolean;
    getStillnessId: () => UniqueId | undefined;
    getStillnessType: () => Identifier | undefined;
    getStillnessItem: () => any;
    unset: (params: UnsetParams) => void;
    clear: () => void;
    resetMax: (max: number) => void;
}
