import { StillnessSpec, StillnessManager, StillnessContract, StillnessHandle } from '../types';
export declare class StillnessHandleImpl<Props, ResObject> implements StillnessHandle {
    private props;
    private spec;
    private manager;
    private contract;
    constructor(spec: StillnessSpec<Props, ResObject>, manager: StillnessManager, contract: StillnessContract);
    receiveProps(props: Props): void;
    mount: () => void | ResObject;
    unmount: () => void | ResObject;
}
