import { StillComponent, StillnessManager, StillnessContract } from '../types';
export interface DecorateHandlerArgs<Props, ItemId> {
    DecoratedComponent: any;
    createHandle: (manager: StillnessManager, contract: StillnessContract) => any;
    createContract: (manager: StillnessManager) => any;
    containerDisplayName: string;
    collect: any;
    options?: any;
}
/**
 * hoc函数,用于封装class组件,
 *
 * @export
 */
export declare function decorateHandler<Props, CollectedProps, ItemId>({ DecoratedComponent, createHandle, createContract, containerDisplayName, collect, }: DecorateHandlerArgs<Props, ItemId>): StillComponent<Props>;
